Ubuntu – How to get adobe flash working in Chrome or Chromium on Ringtail

13.04browserflashgoogle-chrome

I have recently upgraded to Ringtail and for some reason flash isn't working on either Chrome or Chromium. It works in firefox but I prefer Chrome as my browser so switching to firefox when a website containing flash appears is a bit annoying.

According to just about every source, flash it built into Chrome and should just work even on Ubuntu. I tried removing chrome and reinstalling it, but the problem persists.

I've checked about://plugins and flash is enabled. Yet when you visit http://www.adobe.com/shockwave/welcome/

What I see is "No plugin available to display this content".

about://version shows

Google Chrome   28.0.1500.52 (Official Build 207119) 
OS  Linux 
Blink   537.36 (@152651)
JavaScript  V8 3.18.5.8
Flash   11.7.700.203
User Agent  Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.52 Safari/537.36
Command Line     /opt/google/chrome/google-chrome --blacklist-accelerated-compositing --flag-switches-begin --enable-sync-favicons --sync-keystore-encryption --flag-switches-end
Executable Path /opt/google/chrome/google-chrome

How do I get flash working in Chrome or Chromium?

Best Answer

Answering my own question. Hopefully someone will find this useful.

This is useful if completely removed chrome and/or chromium didn't fix the problem.

i.e. apt-get purge google-chrome

Didn't make your flash player work correctly.

The answer was to remove all the cache files in .tmp directory. I actually found a libpepflash.so file inside there and removing the whole .tmp directory made it work.

What's interesting is that this page shows that it couldn't find a suitable plugin to display the content: http://www.adobe.com/shockwave/welcome/

But this page: http://www.adobe.com/software/flash/about/ Shows: "You have version 11,7,700,203 installed"

Now youtube videos are actually displaying. What I found before is that youtube videos were actually working but had no video (just sound) and I was confused by the shockwave/welcome page which had the "no suitable plugin" message.

So if you are having issues with chrome - delete .tmp from your home directory.